# dacs_v1.plt  -- 140622rjn
# 
# Notes:
# 1. Plot of zapper hourly data, day notation on x axis
reset
set title 'Hourly Battery Voltage Readings' offset 0,-3.5 tc rgb 'black' font "sans,16"
# ----- directory/file -----
cd '/home/bob/plots/dacs'
set output '/home/bob/plots/dacs/dacs_v1.jpg'
# ----- terminal type -----
set terminal jpeg font "sans,8" size 640,480
# ----- grid -----
set grid x mx y my
# set key box reverse center left
set key reverse left center font "sans,10"
# ----- notes -----
basex = 0.1  # base x offset for notes
basey = 0.2   # base y offset for notes
spacey = 0.04  # y spacing for text lines
#
label_1 = 'zapper load data'
#
set label 'Notes:' at graph basex,basey  tc rgb 'black' font "sans,10"
#
set label '  1. Battery pack is two C cells (Duracell).' at graph basex,basey-1*spacey  tc rgb 'black' font "sans,10"
# 
set label '  2. Zapper HV module with neon flasher load.' at graph basex,basey-2*spacey  tc rgb 'black' font "sans,10"
#
set label '  3. Data starts on May 29, 2014 at 20:22.' at graph basex,basey-3*spacey  tc rgb 'black' font "sans,10"
#
set label '  4. Data collected with DACS.' at graph basex,basey-4*spacey  tc rgb 'black' font "sans,10"
# 
# ----- arrow pointing to load dip -----
set style arrow 2 head filled
varrow = 0.40  # arrow vertical pos.
set arrow from graph 0.53,varrow to graph 0.48,varrow+0.1
set label 'zapper on' at graph 0.54,varrow  tc rgb 'black' font "sans,10"
# ----- date, initials text -----
set label '140623rjn' at graph  0.82, 0.94  tc rgb 'black' font "sans,6"
# ----- x axis -----
set xdata time
set timefmt "%y%m%d-%H:%M:%S"
set xrange ["140529-20:25":"140629-00:00"]
# set format x "%H:%M"
set format x "%m/%d"
set autoscale x
set xtics out nomirror rotate  offset 0,0.5  font "sans,7"
set xlabel  'Hourly Data (DD/MM)' offset 0,-0.2 tc rgb 'grey0' font "sans,8"
# ----- y axis -----
set ylabel 'Battery Voltage (Volts)' offset 2.75,0 tc rgb 'grey0' font "sans,8"
# set autoscale y
set yrange [1.6:3.2]
set format y '%.2f'
set ytics out nomirror offset 1,0
# ----- datapoint style -----
set style data linespoints
# ----- plot -----
plot 'dacs_v1.txt' using 1:2 title label_1 lt 1
# pause -1 "Hit return to continue"
